#-------------------------------------------------
#
# Project created by QtCreator 2012-09-13T11:30:41
#
#-------------------------------------------------

QT       += core gui
QT += xml

QMAKE_CXXFLAGS += -std=c++0x

#DEBUGの場合はコメントアウト
#DEFINES += QT_NO_DEBUG_OUTPUT QT_NO_WARNING_OUTPUT

#DEBUG
CONFIG += debug


TARGET = harktool4
TEMPLATE = app



#debug definition
CONFIG(release, debug|release) {
    message(Release build!)
}
CONFIG(debug, debug|release) {
    DEFINES += DEBUG
    message(Debug build!)
}


CONFIG += staticlib link_pkgconfig
PKGCONFIG += libharkio libharkio2

INCLUDEPATH += inc
OBJECTS_DIR += obj
MOC_DIR += moc
UI_DIR += ui


LIBS += \
    -lboost_regex \
    -lboost_filesystem \
    -lboost_system \
    -lsndfile




SOURCES += src/main.cpp\
    src/mainwindow.cpp \
    src/impcreatetemplate.cpp \
    src/utils_std.cpp \
    src/utils_boost.cpp \
    src/tspcreatetemplate.cpp \
    src/miccreatetemplate.cpp \
    src/noisecreatetemplate.cpp \
    src/m2pgcreate.cpp \
    src/common.cpp \
    src/TFMatrix.cpp \
    src/transform.cpp \
    src/GNUPlot.cpp \
    src/ScatterPlot.cpp \
    src/msgdialog.cpp \
    src/gtfcreate.cpp \
    src/helpdialog.cpp

HEADERS  += inc/mainwindow.h \
    inc/impcreatetemplate.h \
    inc/utils.hpp \
    inc/utils_boost.hpp \
    inc/utils_std.hpp \
    inc/utils_harkio2.hpp \
    inc/common.h \
    inc/tspcreatetemplate.h \
    inc/miccreatetemplate.h \
    inc/noisecreatetemplate.h \
    inc/m2pgcreate.h \
    inc/CreateTFParam.h \
    inc/TFMatrix.h \
    inc/transform.h \
    inc/axis.h \
    inc/PlotControl.h \
    inc/GnuPlot.h \
    inc/ScatterPlot.h \
    inc/HarkioParam.h \
    inc/msgdialog.h \
    inc/fft.hpp \
    inc/gtfcreate.h \
    inc/TemplateControl.h \
    inc/helpdialog.h

FORMS    += form/msgdialog.ui \
    form/mainwindow.ui \
    form/helpdialog.ui

RESOURCES += \
    harktool4.qrc

OTHER_FILES += \
    trans/harktool4.ts \
    trans/harktool4.qm




target.path = /$(DESTDIR)$$prefix/bin
INSTALLS += target
TRANS = ./trans/harktool4.ts
trans.path = /$(DESTDIR)$$prefix/share/$$TARGET/trans/
trans.files = ./trans/*.qm
INSTALLS += trans



