#ifndef AXIS_H
#define AXIS_H



//-----------------------------------------------------------------//
//  軸クラス
//-----------------------------------------------------------------//
class Axis
{
public:
    // 軸のラベル
    std::string label;

    // 軸のインデックスに乗ずる数字
    double weight;
    // この軸の次元の要素インデックス、固定値でない場合は特殊なマクロ定数が入る。
    int index;

    // 各軸の値の表示範囲(インデックスでは無くて重みを掛けた実際の値)
    std::pair<std::string ,std::string> range;

    Axis() {
        weight = 1;
        index = 0;
    }
    ~Axis() {}
};



#endif // AXIS_H
